## org.apache.poi
Class EncryptedDocumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.poi.EncryptedDocumentException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EncryptedPowerPointFileException

    public class EncryptedDocumentException

extends java.lang.IllegalStateException

See Also:
  Serialized Form

Constructor Summary
`EncryptedDocumentException(java.lang.String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncryptedDocumentException

    public EncryptedDocumentException(java.lang.String s)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.